<?php

include('adatbazis.php');
include('kategoriak.php');
include('termekek.php');
include('kosar.php');

///////////////////////////////////////////////
// Főprogram

session_start();
$kapcsolat = kapcsolodas("sqlite:./bolt.sqlite");

// beolvasás
$kategoria_id = (int)($_GET["kategoria_id"] ?? 1);
$kosar = $_SESSION['kosar'] ?? [];

// feldolgozás
$kategoriak = osszes_kategoria($kapcsolat);
$termekek = termekek_kategoria_szerint($kapcsolat, $kategoria_id);

// POST műveletek: kosárba, kosárból
if (count($_POST) > 0) {
  $muvelet = $_GET['muvelet'] ?? '';

  if ($muvelet === 'kosarba') {
    // beolvasás
    $termek_id = $_POST['termek_id'];
    if (!$termek_id) {
      // header('Location: index.php');
      // exit();
      return;
    }

    // feldolgozás
    $kosar = kosarba($kapcsolat, $kosar, $termek_id);

    // kiírás
    $_SESSION['kosar'] = $kosar;
    // header('Location: index.php');
  }

  else if ($muvelet === 'kosarbol') {
    // beolvasás
    $kosar_id = $_POST['kosar_id'] ?? false;
    if ($kosar_id === false) {
      // header('Location: index.php');
      // exit();
      return;
    }

    // feldolgozás
    $kosar = kosarbol($kosar, $kosar_id);

    // kiírás
    $_SESSION['kosar'] = $kosar;
    // header('Location: index.php');
  }
}

// kiírás
?>

<h2>Termékválasztó</h2>

<form action="index.php?kategoria_id=<?= $kategoria_id ?>" method="get">
  <select name="kategoria_id">
    <?php foreach ($kategoriak as $kategoria) : ?>
      <option value="<?= $kategoria['id'] ?>"
        <?= $kategoria_id == $kategoria['id'] ? 'selected' : '' ?>
      >
        <?= $kategoria['nev'] ?>
      </option>
    <?php endforeach ?>
  </select>
  <button type="submit">Választ</button>
</form>

<form action="index.php?muvelet=kosarba&kategoria_id=<?= $kategoria_id ?>" method="post">
  <ul>
    <?php foreach ($termekek as $termek) : ?>
      <li>
        <?= $termek['nev'] ?>
        (<?= $termek['ar'] ?>)
        <button name="termek_id" type="submit" value="<?= $termek['id'] ?>">Kosárba</button>
      </li>  
    <?php endforeach ?>
  </ul>
</form>

<h2>Kosár</h2>
<form action="index.php?muvelet=kosarbol&kategoria_id=<?= $kategoria_id ?>" method="post">
  <ul>
    <?php foreach ($kosar as $index => $termek) : ?>
      <li>
        <?= $termek['nev'] ?>
        (<?= $termek['ar'] ?>)
        <button name="kosar_id" type="submit" value="<?= $index ?>">Eltávolít</button>
      </li>  
    <?php endforeach ?>
  </ul>
</form>